FreeMat

- Main Page
- Related Pages

vtkMatrixToLinearTransform

Section: Visualization Toolkit Common Classes

# Usage

This is a very simple class which allows a vtkMatrix4x4 to be used in place of a vtkLinearTransform or vtkAbstractTransform. For example, if you use it as a proxy between a matrix and vtkTransformPolyDataFilter then any modifications to the matrix will automatically be reflected in the output of the filter.

To create an instance of class vtkMatrixToLinearTransform, simply invoke its constructor as follows

      obj = vtkMatrixToLinearTransform

# Methods

The class vtkMatrixToLinearTransform has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMatrixToLinearTransform class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMatrixToLinearTransform = obj.NewInstance ()`
- `vtkMatrixToLinearTransform = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkMatrix4x4 )` - Set the input matrix. Any modifications to the matrix will be reflected in the transformation.
- `vtkMatrix4x4 = obj.GetInput ()` - Set the input matrix. Any modifications to the matrix will be reflected in the transformation.
- `obj.Inverse ()` - The input matrix is left as-is, but the transformation matrix is inverted.
- `long = obj.GetMTime ()` - Get the MTime: this is the bit of magic that makes everything work.
- `vtkAbstractTransform = obj.MakeTransform ()` - Make a new transform of the same type.
- `obj.SetMatrix (vtkMatrix4x4 matrix)` -